- Home
- API Enriched
- Shape
- shape
- GET Scripts Overview.
GET Scripts Overview.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/overview';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/overview \ --header 'Authorization: <Authorization>'GET aggregated overview metrics for all scripts including approval status, mitigation status, and behavior metrics.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
Query Parameters
Section titled “Query Parameters”Format: unix epoch timestamp in seconds Fetch scripts whose timestamp >= start_time.
Format: unix epoch timestamp in seconds Fetch scripts whose timestamp <= end_time.
Responses
Section titled “Responses”A successful response.
Response with aggregated script metrics and counts.
object
object
Number of approved scripts.
Number of rejected scripts.
Number of unapproved scripts (null or not set)
object
Number of scripts that read form fields.
Number of scripts with network interactions.
Number of scripts with new behaviors detected.
object
Number of scripts with “AN - Action Needed” status.
Number of scripts with “NA - No Action Needed” status.
Number of scripts with “Resolved - No Action Needed” status.
Total number of scripts in the time range.
Examplegenerated
{ "approval_status_counts": { "approved": 1, "rejected": 1, "unapproved": 1 }, "behavior_metrics": { "scripts_with_form_field_reads": 1, "scripts_with_network_interactions": 1, "scripts_with_new_behaviors": 1 }, "mitigation_status_counts": { "action_needed": 1, "no_action_needed": 1, "resolved": 1 }, "total_scripts": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example